#  Makefile for GTOOL-3.1 samples
#

include ../../../Mkinclude

PROGRAM	      = gtskelton
OPTARG	      = ../optarg/optarg.o

OBJ	      = $(PROGRAM).o 

OBJS	      = $(OBJ) $(OPTARG)

SRC	      = $(PROGRAM).F

FFLAGS 	      = $(STDFFLAGS) -I$(INCDIR)

CFLAGS        = $(STDCFLAGS) -I$(INCDIR)

CPPFLAGS      = $(STDCPPFLAGS) -I$(INCDIR)

LDFLAGS       = $(STDLDFLAGS)

HDRS	      = $(INCDIR)/gtsinc.F

MAKEFILE      = Makefile

all: $(PROGRAM)

$(PROGRAM): $(OBJS) $(LIBDEST)/$(LIB) $(DCLLIBDIR)/$(DCLLIB)
	$(GT3FRT) $(OBJS) -L$(LIBDIR)

$(OBJ): $(SRC) $(HDRS)

$(OPTARG): 
	cd ../optarg ; $(MAKE) 

install: $(PROGRAM)
	@echo "Installing executable program $(PROGRAM)"
	$(CP) $(PROGRAM) $(BINDEST)/$(PROGRAM)

clean:
		$(RM) *.o *~ core *.trace *.f $(PROGRAM)

index:
		@$(INDEX) $(HDRS) $(SRCS)

print:		$(PRINTSTAMP)

$(PRINTSTAMP): $(HDRS) $(SRCS_ALL)
		$(PRINT) $?
		$(TOUCH) $(PRINTSTAMP)

tags:
		@$(TAGS) $(HDRS) $(SRCS_ALL)



########

